set pluginname pluginname
set configureac [file join [file dir [info script]] .. configure.ac]
set fp [open $configureac r]
set str [read $fp]
close $fp

regexp {m4_define\(\[plugin_name\],\s+?\[(.+?)\]\)} $str all m1
set pluginname $m1

set newdir "@rpath"

set curdir [file dir [file normalize [info script]]]
set plugin [file normalize [file join $curdir .. src $pluginname]]

set lines [exec otool -L $plugin]

foreach line [split $lines \n] {
	if {[string match "*/Users/*/gtk/inst/lib/*.dylib*" $line]} {
		set oldfile [regexp -inline "/Users/.*?\.dylib" $line]
		set newfile [file join $newdir [file tail $oldfile]]
		
		exec install_name_tool -change $oldfile $newfile $plugin
		puts lib=$newfile
	} 
}


foreach rpath {@executable_path/../Resources/lib
               /tmp/skl/Gimp.app/Contents/Resources/lib
               /tmp/pb2.8/Gimp-2.8.app/Contents/Resources/lib 
               /tmp/lib} {
	exec install_name_tool -add_rpath $rpath $plugin
	puts rpath=$rpath
}


