/*
 * GIMP Speedline Plug-in -- This is a plug-in for The GIMP 2
 * Copyright (C) 2013-2015 OHTSUKA, Yoshio <ohtsuka.yoshio@gmail.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 */
#ifndef SPEEDLINE_PREVIEW_H
#define SPEEDLINE_PREVIEW_H
#include "speedline.h"

#define PREVIEW_GUIDE_LINE_WIDTH             (1)
#define PREVIEW_GUIDE_LINE_WIDTH_FOR_HITTEST (5)
#define PREVIEW_GUIDE_POINT_SIZE             (16)
#define PREVIEW_GUIDE_LINE_NUMBER            (36)
#define PREVIEW_GUIDE_COLOR_R                (0.0)
#define PREVIEW_GUIDE_COLOR_G                (0.5)
#define PREVIEW_GUIDE_COLOR_B                (1.0)
#define PREVIEW_GUIDE_SELECTED_COLOR_R       (1.0)
#define PREVIEW_GUIDE_SELECTED_COLOR_G       (0.5)
#define PREVIEW_GUIDE_SELECTED_COLOR_B       (0.0)
#define PREVIEW_GUIDE_FREEHAND_EDIT_COLOR_R  (1.0)
#define PREVIEW_GUIDE_FREEHAND_EDIT_COLOR_G  (0.0)
#define PREVIEW_GUIDE_FREEHAND_EDIT_COLOR_B  (0.0)

typedef enum _FreehandEditModeType {
	FREEHAND_EDIT_MODE_NONE,
	FREEHAND_EDIT_MODE_RADIATION_IN,
	FREEHAND_EDIT_MODE_RADIATION_OUT,
	FREEHAND_EDIT_MODE_PARALLEL_IN,
	FREEHAND_EDIT_MODE_PARALLEL_OUT
} FreehandEditModeType;

GtkWidget* preview_new(PluginVals *vals);

void					preview_zoom_in ();
void					preview_zoom_out ();
gint					preview_zoom_get ();

gboolean				preview_is_dragging ();

gdouble					preview_global_to_local (gdouble pixel);
gdouble					preview_local_to_global (gdouble pixel);
FreehandEditModeType	preview_freehand_edit_mode_get ();
void					preview_freehand_edit_mode_set (FreehandEditModeType type);
gboolean				preview_freehand_is_editing ();
#endif
/* vim: set fdm=marker ts=4 sw=4 noet :*/
